[package]
name = "cortex-m-logger"
version = "0.0.0-alpha.1"
authors = ["Josh Robson Chase <josh@robsonchase.com>"]
edition = "2018"
license = "MIT/Apache-2.0"
description = "Semihosting or ITM logger for cortex-m applications"
documentation = "https://docs.rs/cortex-m-logger"
homepage = "https://gitlab.com/jrobsonchase/cortex-m-logger"
repository = "https://gitlab.com/jrobsonchase/cortex-m-logger"
readme = "README.md"

[dependencies]
cortex-m = "0.6.0"
cortex-m-semihosting = { version = "0.3.3", optional = true }
log = { version = "0.4.6", default-features = false }

[features]
default = []
semihosting = ["cortex-m-semihosting"]
